Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFont.Weight

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFont.Weight

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFont

    public static final class QFont.Weight

extends java.lang.Enum
implements QtEnumerator

Qt uses a weighting scale from 0 to 99 similar to, but not the same as, the scales used in Windows or CSS. A weight of 0 is ultralight, whilst 99 will be an extremely black.

This enum contains the predefined font weights:

See Also:
  Serialized Form

Field Summary
`static QFont.Weight` | `Black` 87
`static QFont.Weight` | `Bold` 75
`static QFont.Weight` | `DemiBold` 63
`static QFont.Weight` | `Light` 25
`static QFont.Weight` | `Normal` 50

Method Summary
`static QFont.Weight` | `resolve(int value)` Returns the QFont$Weight constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Weight` | `valueOf(java.lang.String name)`
`static QFont.Weight[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Light

    public static final QFont.Weight Light

  25

### Normal

    public static final QFont.Weight Normal

  50

### DemiBold

    public static final QFont.Weight DemiBold

  63

### Bold

    public static final QFont.Weight Bold

  75

### Black

    public static final QFont.Weight Black

  87

Method Detail

### values

    public static QFont.Weight[] values()

### valueOf

    public static QFont.Weight valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Weight resolve(int value)

  Returns the QFont$Weight constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD